com.oracle.truffle.object

## Class Locations

- java.lang.Object
- - com.oracle.truffle.object.Locations

    public abstract class Locations
    extends java.lang.Object

Property location.

See Also:
  `Location`, `Shape`, `Property`, `DynamicObject`

### Nested Class Summary

Nested Classes
`static class` `Locations.ConstantLocation`
`static class` `Locations.DeclaredDualLocation`
`static class` `Locations.DeclaredLocation`
`static class` `Locations.DualLocation`
`static class` `Locations.ValueLocation`

### Constructor Summary

Constructors
Constructor and Description
`Locations()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Locations

    public Locations()